org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_COMBOBOXNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_COMBOBOXNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_COMBOBOXNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_COMBOBOXNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_COMBOBOXNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_COMBOBOXNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindEditable(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindFlush(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindMaxwidth(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindPlaceholder(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindValidvaluesbinding(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindValue(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindValuestate(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_COMBOBOXNode` | `setActionListener(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setComment(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setEditable(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setEnabled(boolean value)`
    `UI5M_COMBOBOXNode` | `setEnabled(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setFlush(boolean value)`
    `UI5M_COMBOBOXNode` | `setFlush(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setId(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setMaxwidth(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setPlaceholder(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setReference(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setRendered(boolean value)`
    `UI5M_COMBOBOXNode` | `setRendered(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setStyleseq(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setStylevariant(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setValidvaluesbinding(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setValue(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setValuestate(java.lang.String value)`
    `UI5M_COMBOBOXNode` | `setWidth(int value)`
    `UI5M_COMBOBOXNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_COMBOBOXNode

          public UI5M_COMBOBOXNode()

  - ### Method Detail

    - #### setId

          public UI5M_COMBOBOXNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_COMBOBOXNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_COMBOBOXNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_COMBOBOXNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_COMBOBOXNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_COMBOBOXNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_COMBOBOXNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_COMBOBOXNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_COMBOBOXNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_COMBOBOXNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEditable

          public UI5M_COMBOBOXNode setEditable(java.lang.String value)

    - #### bindEditable

          public UI5M_COMBOBOXNode bindEditable(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_COMBOBOXNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_COMBOBOXNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_COMBOBOXNode setEnabled(boolean value)

    - #### setFlush

          public UI5M_COMBOBOXNode setFlush(java.lang.String value)

    - #### bindFlush

          public UI5M_COMBOBOXNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public UI5M_COMBOBOXNode setFlush(boolean value)

    - #### setLayoutdata

          public UI5M_COMBOBOXNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_COMBOBOXNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setMaxwidth

          public UI5M_COMBOBOXNode setMaxwidth(java.lang.String value)

    - #### bindMaxwidth

          public UI5M_COMBOBOXNode bindMaxwidth(IDynamicContentBindingObject value)

    - #### setPlaceholder

          public UI5M_COMBOBOXNode setPlaceholder(java.lang.String value)

    - #### bindPlaceholder

          public UI5M_COMBOBOXNode bindPlaceholder(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_COMBOBOXNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_COMBOBOXNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_COMBOBOXNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_COMBOBOXNode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_COMBOBOXNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_COMBOBOXNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_COMBOBOXNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_COMBOBOXNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setValidvaluesbinding

          public UI5M_COMBOBOXNode setValidvaluesbinding(java.lang.String value)

    - #### bindValidvaluesbinding

          public UI5M_COMBOBOXNode bindValidvaluesbinding(IDynamicContentBindingObject value)

    - #### setValue

          public UI5M_COMBOBOXNode setValue(java.lang.String value)

    - #### bindValue

          public UI5M_COMBOBOXNode bindValue(IDynamicContentBindingObject value)

    - #### setValuestate

          public UI5M_COMBOBOXNode setValuestate(java.lang.String value)

    - #### bindValuestate

          public UI5M_COMBOBOXNode bindValuestate(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_COMBOBOXNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_COMBOBOXNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_COMBOBOXNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.